VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "disp(15:0)"
        SIGNAL "sw(7:0)"
        SIGNAL "led(7:0)"
        SIGNAL "pb(7:0)"
        SIGNAL "disp(15:8)"
        SIGNAL "disp(7:0)"
        SIGNAL "clk48"
        SIGNAL "rxd"
        SIGNAL "rx0"
        SIGNAL "clk25"
        SIGNAL "rst"
        SIGNAL "hblk"
        SIGNAL "vblk"
        SIGNAL "txd"
        SIGNAL "tx0"
        SIGNAL "txoe"
        SIGNAL "row(9:0)"
        SIGNAL "row(0)"
        SIGNAL "row(1)"
        SIGNAL "row(2)"
        SIGNAL "row(3)"
        SIGNAL "row(4)"
        SIGNAL "row(5)"
        SIGNAL "row(6)"
        SIGNAL "row(7)"
        SIGNAL "row(8)"
        SIGNAL "row(9)"
        SIGNAL "col(0)"
        SIGNAL "col(1)"
        SIGNAL "col(2)"
        SIGNAL "col(3)"
        SIGNAL "col(4)"
        SIGNAL "col(5)"
        SIGNAL "col(6)"
        SIGNAL "col(7)"
        SIGNAL "col(8)"
        SIGNAL "col(9)"
        SIGNAL "col(9:0)"
        SIGNAL "r"
        SIGNAL "g"
        SIGNAL "b"
        SIGNAL "i"
        PORT Output "disp(15:0)"
        PORT Input "sw(7:0)"
        PORT Output "led(7:0)"
        PORT Input "pb(7:0)"
        PORT Input "clk48"
        PORT Input "rxd"
        PORT Input "rx0"
        PORT Input "clk25"
        PORT Input "rst"
        PORT Input "hblk"
        PORT Input "vblk"
        PORT Output "txd"
        PORT Output "tx0"
        PORT Output "txoe"
        PORT Input "row(9:0)"
        PORT Input "col(9:0)"
        PORT Output "r"
        PORT Output "g"
        PORT Output "b"
        PORT Output "i"
        BEGIN BLOCKDEF "buf"
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF "buf8"
            TIMESTAMP 2002 7 5 18 0 5
            RECTANGLE N 128 -44 224 -20 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "gnd"
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_12" "buf8"
            PIN "I(7:0)" "sw(7:0)"
            PIN "O(7:0)" "led(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_13" "buf8"
            PIN "I(7:0)" "sw(7:0)"
            PIN "O(7:0)" "disp(15:8)"
        END BLOCK
        BEGIN BLOCK "XLXI_14" "buf8"
            PIN "I(7:0)" "pb(7:0)"
            PIN "O(7:0)" "disp(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_20" "buf"
            PIN "I" "clk25"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_24" "buf"
            PIN "I" "rxd"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_22" "buf"
            PIN "I" "hblk"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_21" "buf"
            PIN "I" "rst"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_19" "buf"
            PIN "I" "clk48"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_23" "buf"
            PIN "I" "vblk"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_25" "buf"
            PIN "I" "rx0"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_29" "gnd"
            PIN "G" "txd"
        END BLOCK
        BEGIN BLOCK "XLXI_30" "gnd"
            PIN "G" "tx0"
        END BLOCK
        BEGIN BLOCK "XLXI_31" "gnd"
            PIN "G" "txoe"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "buf"
            PIN "I" "row(7)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "buf"
            PIN "I" "row(6)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "buf"
            PIN "I" "row(5)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_42" "buf"
            PIN "I" "row(9)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_43" "buf"
            PIN "I" "row(8)"
            PIN "O" "i"
        END BLOCK
        BEGIN BLOCK "XLXI_44" "buf"
            PIN "I" "row(4)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_45" "buf"
            PIN "I" "row(3)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_46" "buf"
            PIN "I" "row(2)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_47" "buf"
            PIN "I" "row(1)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_48" "buf"
            PIN "I" "row(0)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_52" "buf"
            PIN "I" "col(9)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_53" "buf"
            PIN "I" "col(8)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_54" "buf"
            PIN "I" "col(7)"
            PIN "O" "r"
        END BLOCK
        BEGIN BLOCK "XLXI_55" "buf"
            PIN "I" "col(6)"
            PIN "O" "g"
        END BLOCK
        BEGIN BLOCK "XLXI_56" "buf"
            PIN "I" "col(5)"
            PIN "O" "b"
        END BLOCK
        BEGIN BLOCK "XLXI_57" "buf"
            PIN "I" "col(4)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_58" "buf"
            PIN "I" "col(3)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_59" "buf"
            PIN "I" "col(2)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_60" "buf"
            PIN "I" "col(1)"
            PIN "O"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "buf"
            PIN "I" "col(0)"
            PIN "O"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH "pb(7:0)"
            WIRE 160 800 320 800
        END BRANCH
        BEGIN BRANCH "sw(7:0)"
            WIRE 160 480 240 480
            WIRE 240 480 320 480
            WIRE 240 480 240 640
            WIRE 240 640 320 640
        END BRANCH
        INSTANCE "XLXI_12" 320 512 R0
        INSTANCE "XLXI_13" 320 672 R0
        INSTANCE "XLXI_14" 320 832 R0
        BEGIN BRANCH "disp(15:8)"
            WIRE 544 640 640 640
            WIRE 640 640 704 640
            BEGIN DISPLAY 640 640 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "disp(7:0)"
            WIRE 544 800 640 800
            WIRE 640 800 704 800
            BEGIN DISPLAY 640 800 ATTR "Name"
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "led(7:0)"
            WIRE 544 480 560 480
            WIRE 560 480 960 480
        END BRANCH
        BEGIN DISPLAY 40 332 TEXT "buttons/switches to 7-segment"
            FONT 64 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN DISPLAY 36 252 TEXT "route switches to LEDs and"
            FONT 64 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH "disp(15:0)"
            WIRE 800 560 800 640
            WIRE 800 640 800 720
            WIRE 800 720 800 800
            WIRE 800 800 800 880
            WIRE 800 720 960 720
        END BRANCH
        BUSTAP 800 640 704 640
        BUSTAP 800 800 704 800
        IOMARKER 160 800 "pb(7:0)" R180 28
        IOMARKER 160 480 "sw(7:0)" R180 28
        IOMARKER 960 720 "disp(15:0)" R0 28
        BEGIN BRANCH "clk48"
            WIRE 1632 336 1728 336
        END BRANCH
        BEGIN BRANCH "rxd"
            WIRE 1632 736 1728 736
        END BRANCH
        BEGIN BRANCH "rx0"
            WIRE 1632 816 1728 816
        END BRANCH
        BEGIN BRANCH "clk25"
            WIRE 1632 416 1728 416
        END BRANCH
        BEGIN BRANCH "rst"
            WIRE 1616 496 1728 496
        END BRANCH
        BEGIN DISPLAY 1504 240 TEXT "connect unused ports"
            FONT 64 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH "hblk"
            WIRE 1632 576 1728 576
        END BRANCH
        BEGIN BRANCH "vblk"
            WIRE 1632 656 1728 656
        END BRANCH
        INSTANCE "XLXI_20" 1728 448 R0
        INSTANCE "XLXI_24" 1728 768 R0
        INSTANCE "XLXI_22" 1728 608 R0
        INSTANCE "XLXI_21" 1728 528 R0
        INSTANCE "XLXI_19" 1728 368 R0
        INSTANCE "XLXI_23" 1728 688 R0
        INSTANCE "XLXI_25" 1728 848 R0
        IOMARKER 1632 416 "clk25" R180 28
        IOMARKER 1632 576 "hblk" R180 28
        IOMARKER 1632 736 "rxd" R180 28
        IOMARKER 1616 496 "rst" R180 28
        IOMARKER 1632 336 "clk48" R180 28
        IOMARKER 1632 656 "vblk" R180 28
        IOMARKER 1632 816 "rx0" R180 28
        BEGIN BRANCH "txd"
            WIRE 2192 336 2272 336
        END BRANCH
        BEGIN BRANCH "tx0"
            WIRE 2192 416 2272 416
        END BRANCH
        BEGIN BRANCH "txoe"
            WIRE 2192 496 2272 496
        END BRANCH
        INSTANCE "XLXI_29" 2064 272 R90
        INSTANCE "XLXI_30" 2064 352 R90
        INSTANCE "XLXI_31" 2064 432 R90
        IOMARKER 2272 336 "txd" R0 28
        IOMARKER 2272 496 "txoe" R0 28
        IOMARKER 2272 416 "tx0" R0 28
        BEGIN BRANCH "row(9:0)"
            WIRE 176 1056 256 1056
            WIRE 256 1056 256 1072
            WIRE 256 1072 256 1088
            WIRE 256 1088 256 1168
            WIRE 256 1168 256 1248
            WIRE 256 1248 256 1328
            WIRE 256 1328 256 1408
            WIRE 256 1408 256 1488
            WIRE 256 1488 256 1568
            WIRE 256 1568 256 1648
            WIRE 256 1648 256 1728
            WIRE 256 1728 256 1808
        END BRANCH
        INSTANCE "XLXI_15" 592 1280 R0
        INSTANCE "XLXI_16" 592 1360 R0
        INSTANCE "XLXI_17" 592 1440 R0
        BEGIN BRANCH "row(7)"
            WIRE 352 1248 496 1248
            WIRE 496 1248 592 1248
            BEGIN DISPLAY 496 1248 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "row(6)"
            WIRE 352 1328 496 1328
            WIRE 496 1328 592 1328
            BEGIN DISPLAY 496 1328 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "row(5)"
            WIRE 352 1408 496 1408
            WIRE 496 1408 592 1408
            BEGIN DISPLAY 496 1408 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_42" 592 1120 R0
        BEGIN BRANCH "row(8)"
            WIRE 352 1168 496 1168
            WIRE 496 1168 592 1168
            BEGIN DISPLAY 496 1168 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_43" 592 1200 R0
        BEGIN BRANCH "row(4)"
            WIRE 352 1488 496 1488
            WIRE 496 1488 592 1488
            BEGIN DISPLAY 496 1488 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_44" 592 1520 R0
        BEGIN BRANCH "row(3)"
            WIRE 352 1568 496 1568
            WIRE 496 1568 592 1568
            BEGIN DISPLAY 496 1568 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_45" 592 1600 R0
        BEGIN BRANCH "row(2)"
            WIRE 352 1648 496 1648
            WIRE 496 1648 592 1648
            BEGIN DISPLAY 496 1648 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_46" 592 1680 R0
        BEGIN BRANCH "row(1)"
            WIRE 352 1728 496 1728
            WIRE 496 1728 592 1728
            BEGIN DISPLAY 496 1728 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_47" 592 1760 R0
        BEGIN BRANCH "row(0)"
            WIRE 352 1808 496 1808
            WIRE 496 1808 592 1808
            BEGIN DISPLAY 496 1808 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_48" 592 1840 R0
        BEGIN BRANCH "row(9)"
            WIRE 352 1088 496 1088
            WIRE 496 1088 592 1088
            BEGIN DISPLAY 496 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_52" 1744 1120 R0
        INSTANCE "XLXI_53" 1744 1200 R0
        INSTANCE "XLXI_54" 1744 1280 R0
        INSTANCE "XLXI_55" 1744 1360 R0
        INSTANCE "XLXI_56" 1744 1440 R0
        INSTANCE "XLXI_57" 1744 1520 R0
        INSTANCE "XLXI_58" 1744 1600 R0
        INSTANCE "XLXI_59" 1744 1680 R0
        INSTANCE "XLXI_60" 1744 1760 R0
        INSTANCE "XLXI_18" 1744 1840 R0
        IOMARKER 176 1056 "row(9:0)" R180 28
        BEGIN DISPLAY 484 952 TEXT "route row and column to RGB and intensity"
            FONT 64 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH "col(7)"
            WIRE 1504 1248 1648 1248
            WIRE 1648 1248 1744 1248
            BEGIN DISPLAY 1648 1248 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(6)"
            WIRE 1504 1328 1648 1328
            WIRE 1648 1328 1744 1328
            BEGIN DISPLAY 1648 1328 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(5)"
            WIRE 1504 1408 1648 1408
            WIRE 1648 1408 1744 1408
            BEGIN DISPLAY 1648 1408 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(8)"
            WIRE 1504 1168 1648 1168
            WIRE 1648 1168 1744 1168
            BEGIN DISPLAY 1648 1168 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(4)"
            WIRE 1504 1488 1648 1488
            WIRE 1648 1488 1744 1488
            BEGIN DISPLAY 1648 1488 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(3)"
            WIRE 1504 1568 1648 1568
            WIRE 1648 1568 1744 1568
            BEGIN DISPLAY 1648 1568 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(2)"
            WIRE 1504 1648 1648 1648
            WIRE 1648 1648 1744 1648
            BEGIN DISPLAY 1648 1648 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(1)"
            WIRE 1504 1728 1648 1728
            WIRE 1648 1728 1744 1728
            BEGIN DISPLAY 1648 1728 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(0)"
            WIRE 1504 1808 1648 1808
            WIRE 1648 1808 1744 1808
            BEGIN DISPLAY 1648 1808 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(9)"
            WIRE 1504 1088 1648 1088
            WIRE 1648 1088 1744 1088
            BEGIN DISPLAY 1648 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "col(9:0)"
            WIRE 1328 1056 1408 1056
            WIRE 1408 1056 1408 1088
            WIRE 1408 1088 1408 1168
            WIRE 1408 1168 1408 1248
            WIRE 1408 1248 1408 1328
            WIRE 1408 1328 1408 1408
            WIRE 1408 1408 1408 1488
            WIRE 1408 1488 1408 1568
            WIRE 1408 1568 1408 1648
            WIRE 1408 1648 1408 1728
            WIRE 1408 1728 1408 1808
        END BRANCH
        BUSTAP 1408 1088 1504 1088
        BUSTAP 1408 1168 1504 1168
        BUSTAP 1408 1248 1504 1248
        BUSTAP 1408 1328 1504 1328
        BUSTAP 1408 1408 1504 1408
        BUSTAP 1408 1488 1504 1488
        BUSTAP 1408 1568 1504 1568
        BUSTAP 1408 1648 1504 1648
        BUSTAP 1408 1728 1504 1728
        BUSTAP 1408 1808 1504 1808
        IOMARKER 1328 1056 "col(9:0)" R180 28
        BUSTAP 256 1088 352 1088
        BUSTAP 256 1168 352 1168
        BUSTAP 256 1248 352 1248
        BUSTAP 256 1328 352 1328
        BUSTAP 256 1408 352 1408
        BUSTAP 256 1488 352 1488
        BUSTAP 256 1568 352 1568
        BUSTAP 256 1648 352 1648
        BUSTAP 256 1728 352 1728
        BUSTAP 256 1808 352 1808
        BEGIN BRANCH "r"
            WIRE 1968 1248 2128 1248
        END BRANCH
        BEGIN BRANCH "g"
            WIRE 1968 1328 2128 1328
        END BRANCH
        BEGIN BRANCH "b"
            WIRE 1968 1408 2128 1408
        END BRANCH
        IOMARKER 2128 1248 "r" R0 28
        IOMARKER 2128 1328 "g" R0 28
        IOMARKER 2128 1408 "b" R0 28
        BEGIN BRANCH "i"
            WIRE 816 1168 976 1168
        END BRANCH
        IOMARKER 976 1168 "i" R0 28
        IOMARKER 960 480 "led(7:0)" R0 28
    END SHEET
END SCHEMATIC
